EventsGet a person's events

Get a person's events

Recent events for one person, newest first. Requires events:read.

curl -X GET "https://api.flameup.ai/api/v1/people/example_string/events?limit=50" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "person_id": "example_string",
  "events": [
    {
      "id": "example_string",
      "type": "purchase_completed",
      "person_id": "123e4567-e89b-12d3-a456-426614174000",
      "parameters": {},
      "created_at": "2024-12-25T10:00:00Z"
    }
  ],
  "total": 42
}
GET
/people/{external_id}/events
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Your Flameup API key (passed as Bearer token)

Your Flameup API key (passed as Bearer token)
path
external_idstring
Required

Your own user id, not the Flameup person UUID.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Your Flameup API key (passed as Bearer token)

Path Parameters

external_idstring
Required

Your own user id, not the Flameup person UUID.

Query Parameters

Responses

successboolean
person_idstring
eventsarray
totalinteger